Package org.optaplanner.core.impl.domain.solution.cloner.gizmo

## Class GizmoSolutionOrEntityDescriptor

- java.lang.Object
- - org.optaplanner.core.impl.domain.solution.cloner.gizmo.GizmoSolutionOrEntityDescriptor

-     public class GizmoSolutionOrEntityDescriptor
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GizmoSolutionOrEntityDescriptor​(SolutionDescriptor<?> solutionDescriptor, Class<?> entityOrSolutionClass)` |
    `GizmoSolutionOrEntityDescriptor​(SolutionDescriptor<?> solutionDescriptor, Class<?> entityOrSolutionClass, Map<Field,​GizmoMemberDescriptor> solutionFieldToMemberDescriptorMap)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<Field>` | `getDeepClonedFields()` |
    `GizmoMemberDescriptor` | `getMemberDescriptorForField​(Field field)` |
    `Set<GizmoMemberDescriptor>` | `getShallowClonedMemberDescriptors()` |
    `SolutionDescriptor<?>` | `getSolutionDescriptor()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GizmoSolutionOrEntityDescriptor

          public GizmoSolutionOrEntityDescriptor​(SolutionDescriptor<?> solutionDescriptor,
                                                 Class<?> entityOrSolutionClass)

    - #### GizmoSolutionOrEntityDescriptor

          public GizmoSolutionOrEntityDescriptor​(SolutionDescriptor<?> solutionDescriptor,
                                                 Class<?> entityOrSolutionClass,
                                                 Map<Field,​GizmoMemberDescriptor> solutionFieldToMemberDescriptorMap)

  - ### Method Detail

    - #### getSolutionDescriptor

          public SolutionDescriptor<?> getSolutionDescriptor()

    - #### getShallowClonedMemberDescriptors

          public Set<GizmoMemberDescriptor> getShallowClonedMemberDescriptors()

    - #### getDeepClonedFields

          public Set<Field> getDeepClonedFields()

    - #### getMemberDescriptorForField

          public GizmoMemberDescriptor getMemberDescriptorForField​(Field field)